#include <iostream>
#include <cmath>
using namespace std;
int num(int i) {
    if (i==0) return 0;
    else if (i==1||i==2||i==5) return 1;
    else if (i==9) return 3;
    else return 2;
}
int main() {
    long long int V;
    scanf("%lld",V);
    int i=1;
    int count=0;
    while (pow(10,i)<V) i++;
    for (int k=0; k<i; k++) {
        count+=num(V%10);
        V=V/10;
    }
    printf("%d",count);
}